ASEQSEND(1)

NAME
aseqsend - send arbitrary messages to selected ALSA MIDI seqencer port

SYNOPSIS
aseqsend -p client:port -s file-name|"hex encoded byte-string"

DESCRIPTION
aseqsend is a command-line utility which allows one to send SysEx (system exclusive) data to ALSA MIDI seqencer port. It can also send any other MIDI commands. Messages to be send can be given in the last argument as hex encoded byte string or can be read from raw binary file. When sending several SysEx messages at once there is a delay of 1ms after each message as deafult and can be set to different value with option -i.

OPTIONS

-h  Prints a list of options.

-V  Prints the current version.

-l  Prints a list of possible output ports.

-v  Prints number of bytes actually sent

-p  Target port by number or name

-s  Send raw binary data from given file name

-i  Interval between SysEx messages in miliseconds

    A client can be specified by its number, its name, or a prefix of its name. A port is specified by its number; for port 0 of a client, the ":0" part of the port specification can be omitted.

EXAMPLES

aseqsend -p 128:0 "F0 41 10 00 00 64 12 18 00 21 06 59 41 59 4E F7"

aseqsend -p 128:0 -s I7BulkDump.syx

AUTHOR
Miroslav Kovac <mixxoo@gmail.com>